Page MenuHomePhabricator

Allow repository service lookups to return an ordered list of service refs
ClosedPublic

Authored by epriestley on Sep 3 2019, 3:58 PM.
Tags
None
Referenced Files
F11014101: D20775.diff
Tue, Aug 9, 1:07 AM
Unknown Object (File)
Sat, Aug 6, 5:40 PM
Unknown Object (File)
Thu, Aug 4, 9:14 AM
Unknown Object (File)
Fri, Jul 15, 1:02 AM
Unknown Object (File)
Jun 24 2022, 5:35 PM
Unknown Object (File)
Jun 14 2022, 6:27 AM
Unknown Object (File)
Jun 6 2022, 11:13 PM
Unknown Object (File)
May 23 2022, 1:04 PM
Subscribers
None

Details

Summary

Ref T13286. To support request retries, allow the service lookup method to return an ordered list of structured service references.

Existing callsites continue to immediately discard all but the first reference and pull a URI out of it.

Test Plan

Ran git pull in a clustered repository with an "up" node and a "down" node, saw 50% serivce failures and 50% clean pulls.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Sep 3 2019, 5:05 PM
This revision was automatically updated to reflect the committed changes.
src/applications/repository/storage/PhabricatorRepository.php
1980

This variable should have been renamed. See T13611.